<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

    <xsl:template match="/">
        <html>
            <body>
                <h2>Planificaciones</h2>
                <xsl:for-each select="logica.reportes.ReportePlanificaciones/planificaciones/entry">
                    <table border="1px solid black" class="estudiante">
                        <tr bgcolor="#9acd32">
                            <th>Estudiante</th>
                            <th>Rut</th>
                        </tr>
                        <tr>
                            <td>
                                <xsl:value-of select="Estudiante/nombre"/>
                            </td>
                            <td>
                                <xsl:value-of select="Estudiante/rut"/>
                            </td>
                        </tr>
                    </table>

                    <xsl:for-each select="map/entry">
                        <h5>
                            <xsl:value-of select="Asignatura/nombre"/>
                        </h5>
                        <table border="1px solid black" class="planificaciones">
                            <tr bgcolor="#9acd32">
                                <th>Tipo</th>
                                <th>Fecha</th>
                            </tr>
                            <xsl:for-each select="Actividad-array/Actividad">
                                <tr>
                                    <td>
                                        <xsl:value-of select="tipo"/>
                                    </td>
                                    <td>
                                        <xsl:value-of select="fecha"/>
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </table>
                    </xsl:for-each>
                    <div style="height:25px;"></div>
                </xsl:for-each>
            </body>

        </html>
    </xsl:template>

</xsl:stylesheet>
